Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.identity
Class ShortIdentity

    java.lang.Object
      javax.jdo.identity.SingleFieldIdentity
          javax.jdo.identity.ShortIdentity

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class ShortIdentity

extends SingleFieldIdentity

This class is for identity with a single short field.

Version:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.jdo.identity.SingleFieldIdentity
`hashCode, keyAsObject, msg`

Constructor Summary
`ShortIdentity()` Constructor only for Externalizable.
`ShortIdentity(java.lang.Class pcClass, short key)` Constructor with class and key.
`ShortIdentity(java.lang.Class pcClass, java.lang.Short key)` Constructor with class and key.
`ShortIdentity(java.lang.Class pcClass, java.lang.String str)` Constructor with class and key.

Method Summary
`protected java.lang.Object` | `createKeyAsObject()` Create the key as an Object.
`boolean` | `equals(java.lang.Object obj)` Determine if the other object represents the same object id.
`short` | `getKey()` Return the key.
`void` | `readExternal(java.io.ObjectInput in)` Read this object.
`java.lang.String` | `toString()` Return the String form of the key.
`void` | `writeExternal(java.io.ObjectOutput out)` Write this object.

Methods inherited from class javax.jdo.identity.SingleFieldIdentity
`assertKeyNotNull, getKeyAsObject, getTargetClass, getTargetClassName, hashClassName, hashCode, setKeyAsObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortIdentity

    public ShortIdentity(java.lang.Class pcClass,
                         short key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the class
    `key` - the key

### ShortIdentity

    public ShortIdentity(java.lang.Class pcClass,
                         java.lang.Short key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the class
    `key` - the key

### ShortIdentity

    public ShortIdentity(java.lang.Class pcClass,
                         java.lang.String str)

  Constructor with class and key.

  Parameters:
    `pcClass` - the class
    `str` - the key

### ShortIdentity

    public ShortIdentity()

  Constructor only for Externalizable.

Method Detail

### getKey

    public short getKey()

  Return the key.

  Returns:
    the key

### toString

    public java.lang.String toString()

  Return the String form of the key.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String form of the key

### equals

    public boolean equals(java.lang.Object obj)

  Determine if the other object represents the same object id.

  Overrides:
    `equals` in class `SingleFieldIdentity`
  Parameters:
    `obj` - the other object
  Returns:
    true if both objects represent the same object id

### createKeyAsObject

    protected java.lang.Object createKeyAsObject()

  Create the key as an Object.

  Overrides:
    `createKeyAsObject` in class `SingleFieldIdentity`
  Returns:
    the key as an Object
  Since:
    2.0

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Write this object. Write the superclass first.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `SingleFieldIdentity`
  Parameters:
    `out` - the output
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Read this object. Read the superclass first.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `SingleFieldIdentity`
  Parameters:
    `in` - the input
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 Apache Software Foundation. All Rights Reserved.